@use "sass:map";

@import '../../styles/variables';
@import '../../styles/mixins';

$cui-dialog-padding: map.get($cui-card-padding, l);

.cui-dialog {
  display: flex;
  flex-direction: column;
  max-height: 100%;
  overflow: hidden;

  @media (forced-colors: active) {
    outline: 1px solid ButtonBorder;
  }

  .cui-dialog-focus-trap {
    display: flex;
    flex-direction: column;
    max-height: 100%;
    overflow: hidden;
  }

  .cui-dialog-content-scroll-container {
    overflow: auto;
    max-height: 100%;
  }

  .cui-dialog-content {
    padding: 0 $cui-dialog-padding;

    .cui-dialog-pull-out {
      margin-left: -$cui-dialog-padding;
      margin-right: -$cui-dialog-padding;
    }
  }

  .elevation-top {
    box-shadow: $cui-elevation-floating-header;
  }

  .elevation-bottom {
    box-shadow: $cui-elevation-floating-footer;

    &.elevation-top {
      box-shadow: $cui-elevation-floating-header, $cui-elevation-floating-footer;
    }
  }
}
